package com.tomastc.bta500.lib;

import androidx.annotation.Nullable;

public abstract class SpinObject_UserLogin {

    public abstract String getUser_id();
    public abstract String getUser_name();
    public abstract String getShift();
    public abstract String getWs_cd();
    public abstract String getWs_no();
    public abstract String getMc_line_no();
    public abstract String getWs_desc();
    public abstract String getUpd_date();
    public abstract String getUpd_user_id();
    public abstract String getPrint_preset();

    @Override
    public boolean equals(@Nullable Object obj) {
        return ((SpinObject_UserLogin)obj).getWs_no().equals(this.getWs_no());
    }
}
